%define upstream_name SGMLSpm
%define upstream_version 1.03ii

%{?perl_default_filter}

Name:        	perl-%{upstream_name}
Version:     	%{upstream_version}
Release:     	%mkrel 5
Epoch:		1
Group:       	Publishing
Summary:     	Perl library for parsing the output of nsgmls
License:   	GPL
URL:         	https://metacpan.org/release/%{upstream_name}
Requires:    	jade >= 1.2.1

BuildArch:	noarch
Source0:        https://cpan.metacpan.org/authors/id/D/DM/DMEGG/SGMLSpm-%{upstream_version}.tar.gz

%description
Perl programs can use the SGMLSpm module to help convert SGML, HTML or XML
documents into new formats.

%prep
%setup -q -n SGMLSpm

%build

%install
install -d -m 755 $RPM_BUILD_ROOT{%{_bindir},%{perl_vendorlib}}
make install_system \
    BINDIR=$RPM_BUILD_ROOT%{_bindir} \
    PERL5DIR=$RPM_BUILD_ROOT%{perl_vendorlib}

%files 
%doc BUGS COPYING ChangeLog DOC/ README TODO elisp
%{_bindir}/*
%{perl_vendorlib}/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1:1.03ii-5.mga9
+ Revision: 1810172
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:1.03ii-4.mga8
+ Revision: 1506157
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1:1.03ii-3.mga7
+ Revision: 1285962
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1:1.03ii-2.mga7
+ Revision: 1166492
- rebuild with fixed rpm for missing autodeps

* Thu Sep 14 2017 tv <tv> 1:1.03ii-1.mga7
+ Revision: 1153814
- add epoch as last resort :-(
- drop %%perl_convert_version else we've a lower new version
- new version from FC, thus fixing gnome-power-manager build

* Sun Sep 03 2017 guillomovitch <guillomovitch> 1.100.0-3.mga7
+ Revision: 1151042
- new version 1.1

* Sun Jun 19 2016 pterjan <pterjan> 1.30.0ii-3.mga6
+ Revision: 1033040
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.30.0ii-2.mga6
+ Revision: 946747
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.03ii-19.mga5
+ Revision: 750229
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.03ii-18.mga5
+ Revision: 686124
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.03ii-17.mga4
+ Revision: 514485
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.03ii-16.mga3
+ Revision: 372360
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 21 2012 tv <tv> 1.03ii-15.mga2
+ Revision: 232240
- no need to require perl

* Fri Jan 21 2011 jquelin <jquelin> 1.03ii-14.mga1
+ Revision: 29298
- rebuild
- mageia rebuild

* Mon Jan 10 2011 pterjan <pterjan> 1.03ii-13.mga1
+ Revision: 5378
- imported package perl-SGMLSpm


* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.03ii-13mdv2010.1
+ Revision: 426587
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.03ii-12mdv2009.1
+ Revision: 351747
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.03ii-11mdv2009.0
+ Revision: 224052
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.03ii-10mdv2008.1
+ Revision: 180548
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 1.03ii-9mdv2008.0
+ Revision: 23319
- rebuild


* Tue Mar 21 2006 Camille Begnis <camille@mandriva.com> 1.03ii-8mdk
- rebuild

* Tue Oct 26 2004 Camille Begnis <camille@mandrakesoft.com> 1.03ii-7mdk
- Rebuild

* Thu Aug 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.03ii-6mdk
- rebuild for new perl
- quiet setup
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.03ii-5mdk
- rebuild for new auto{prov,req}

